Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class DocumentTypeEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.domino.DocumentTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class DocumentTypeEnum
extends CollabEnum
implements java.io.Serializable

An enumeration of the document types. The enumeration class that contains `DocumentType` elements.

See Also:
  Serialized Form

Field Summary
`static DocumentType` | `APPOINTMENT` An appointment document.
`static DocumentType` | `BOOKMARK` A bookmark document.
`static DocumentType` | `CONTACT` A contact document.
`static DocumentType` | `DELIVERY_REPORT` A delivery report document.
`static DocumentType` | `GROUP` A group document.
`static DocumentType` | `MEMO` A memo document.
`static DocumentType` | `NONDELIVERY_REPORT` A non-delivery report document.
`static DocumentType` | `NOTICE` A notice document.
`static int` | `NUM_ELEMENTS`
`static DocumentType` | `PERSONAL_STATIONARY` A personal stationary document.
`static DocumentType` | `PHONE_MESSAGE` A phone message document.
`static DocumentType` | `REPLY` A reply document.
`static DocumentType` | `REPLY_NOTICE` A reply notice document.
`static DocumentType` | `RETURN_NONRECEIPT` A return non-receipt document.
`static DocumentType` | `RETURN_RECEIPT` A return receipt document.
`static DocumentType` | `TASK` A task document.
`static DocumentType` | `TASK_NOTICE` A task notice document.
`static DocumentType` | `TRACE_REPORT` A trace report document.
`static DocumentType` | `UNKNOWN` A unknown document.
`static int` | `VALUE_APPOINTMENT`
`static int` | `VALUE_BOOKMARK`
`static int` | `VALUE_CONTACT`
`static int` | `VALUE_DELIVERY_REPORT`
`static int` | `VALUE_GROUP`
`static int` | `VALUE_MEMO`
`static int` | `VALUE_NONDELIVERY_REPORT`
`static int` | `VALUE_NOTICE`
`static int` | `VALUE_PERSONAL_STATIONARY`
`static int` | `VALUE_PHONE_MESSAGE`
`static int` | `VALUE_REPLY`
`static int` | `VALUE_REPLY_NOTICE`
`static int` | `VALUE_RETURN_NONRECEIPT`
`static int` | `VALUE_RETURN_RECEIPT`
`static int` | `VALUE_TASK`
`static int` | `VALUE_TASK_NOTICE`
`static int` | `VALUE_TRACE_REPORT`
`static int` | `VALUE_UNKNOWN`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `DocumentTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `DocumentTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_MEMO

    public static final int VALUE_MEMO

### VALUE_APPOINTMENT

    public static final int VALUE_APPOINTMENT

### VALUE_CONTACT

    public static final int VALUE_CONTACT

### VALUE_TASK

    public static final int VALUE_TASK

### VALUE_TRACE_REPORT

    public static final int VALUE_TRACE_REPORT

### VALUE_GROUP

    public static final int VALUE_GROUP

### VALUE_DELIVERY_REPORT

    public static final int VALUE_DELIVERY_REPORT

### VALUE_NONDELIVERY_REPORT

    public static final int VALUE_NONDELIVERY_REPORT

### VALUE_RETURN_NONRECEIPT

    public static final int VALUE_RETURN_NONRECEIPT

### VALUE_NOTICE

    public static final int VALUE_NOTICE

### VALUE_TASK_NOTICE

    public static final int VALUE_TASK_NOTICE

### VALUE_RETURN_RECEIPT

    public static final int VALUE_RETURN_RECEIPT

### VALUE_REPLY

    public static final int VALUE_REPLY

### VALUE_PERSONAL_STATIONARY

    public static final int VALUE_PERSONAL_STATIONARY

### VALUE_PHONE_MESSAGE

    public static final int VALUE_PHONE_MESSAGE

### VALUE_BOOKMARK

    public static final int VALUE_BOOKMARK

### VALUE_UNKNOWN

    public static final int VALUE_UNKNOWN

### VALUE_REPLY_NOTICE

    public static final int VALUE_REPLY_NOTICE

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### MEMO

    public static final DocumentType MEMO

  A memo document.

### APPOINTMENT

    public static final DocumentType APPOINTMENT

  An appointment document.

### CONTACT

    public static final DocumentType CONTACT

  A contact document.

### TASK

    public static final DocumentType TASK

  A task document.

### TRACE_REPORT

    public static final DocumentType TRACE_REPORT

  A trace report document.

### GROUP

    public static final DocumentType GROUP

  A group document.

### DELIVERY_REPORT

    public static final DocumentType DELIVERY_REPORT

  A delivery report document.

### NONDELIVERY_REPORT

    public static final DocumentType NONDELIVERY_REPORT

  A non-delivery report document.

### RETURN_NONRECEIPT

    public static final DocumentType RETURN_NONRECEIPT

  A return non-receipt document.

### NOTICE

    public static final DocumentType NOTICE

  A notice document.

### TASK_NOTICE

    public static final DocumentType TASK_NOTICE

  A task notice document.

### RETURN_RECEIPT

    public static final DocumentType RETURN_RECEIPT

  A return receipt document.

### REPLY

    public static final DocumentType REPLY

  A reply document.

### PERSONAL_STATIONARY

    public static final DocumentType PERSONAL_STATIONARY

  A personal stationary document.

### PHONE_MESSAGE

    public static final DocumentType PHONE_MESSAGE

  A phone message document.

### BOOKMARK

    public static final DocumentType BOOKMARK

  A bookmark document.

### UNKNOWN

    public static final DocumentType UNKNOWN

  A unknown document.

### REPLY_NOTICE

    public static final DocumentType REPLY_NOTICE

  A reply notice document.

Constructor Detail

### DocumentTypeEnum

    protected DocumentTypeEnum(java.lang.Class elementClass,
                               int iNumElements,
                               com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                               EnumElement defaultElement,
                               java.lang.String sInternalName,
                               boolean bMaskable)

  Constructor.

### DocumentTypeEnum

    protected DocumentTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.